This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 431207 - yum localupdate fails
yum localupdate fails
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
All Linux
low Severity high
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-01 10:19 EST by Adrin Jalali
Modified: 2014-01-21 18:01 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-02 14:18:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Adrin Jalali 2008-02-01 10:19:38 EST
Description of problem:
Hi there.
I have these packages installed :
yum-updatesd-0.9-1.fc9.noarch
yum-fastestmirror-1.1.11-1.fc9.noarch
yumex-2.0.3-2.fc9.noarch
yum-fedorakmod-1.1.11-1.fc9.noarch
yum-presto-0.4.3-1.les8.noarch
yum-3.2.10-3.fc9.noarch
yum-metadata-parser-1.1.2-7.fc9.i386

I get an error when I try to use localupdate.
This is an example :

# yum localupdate grub-0.97-21.fc9.i386.rpm 
Loading "presto" plugin
Loading "fastestmirror" plugin
Loading "fedorakmod" plugin
Loading "allowdowngrade" plugin
Setting up Local Package Process
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:])
  File "/usr/share/yum-cli/yummain.py", line 236, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 110, in main
    result, resultmsgs = base.doCommands()
  File "/usr/share/yum-cli/cli.py", line 291, in doCommands
    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd,
self.extcmds)
  File "/usr/share/yum-cli/yumcommands.py", line 439, in doCommand
    return base.localInstall(filelist=extcmds, updateonly=updateonly)
  File "/usr/share/yum-cli/cli.py", line 613, in localInstall
    txmbrs = self.installLocal(pkg, updateonly)
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 2267, in
installLocal
    installedByKey = self.rpmdb.searchNevra(name=po.name)
AttributeError: 'bool' object has no attribute 'name'


Best,
adrin.

Note You need to log in before you can comment on or make changes to this bug.